#include <iostream>
using namespace std;
int n,m;
int uslov(int d[],int g[],int l,int r,int x)
{
	int rez=0;
	l--;
	r--;
	for(int i=l;i<=r;i++)
	{
		//cout << d[i] << " ! " << x << " ! " << g[i] << endl;
		if(x>=d[i] && x<=g[i])
		{
			rez++;
		}
	}
	return rez;
}

int main()
{
	int l,r,x;
	cin >> n >> m;
	int d[n],g[n];
	int res[m];
	for(int i=0;i<n;i++)
	{
		cin >> d[i] >> g[i];
	}
	for(int i=0;i<m;i++)
	{
		cin >> l >> r >> x;
		res[i]=uslov(d,g,l,r,x);
	}
	for(int i=0;i<m;i++)
	{
		cout << res[i] << endl;
	}
	return 0;
}